Bug 42915 - makewhatis only works for first element in manpath
Summary: makewhatis only works for first element in manpath
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-30 21:02 UTC by Tim Clymo
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-16 20:29:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
make makewhatis (man-1.5h1-20) process all manpath-directories (1.23 KB, patch)
2001-06-16 20:29 UTC, Rudi Sluijtman
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:072 high SHIPPED_LIVE : Updated man package fixing GID security problems. 2001-05-28 04:00:00 UTC

Description Tim Clymo 2001-05-30 21:02:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0b; Windows NT 5.1)

Description of problem:
Running man-1.5i-6 from rawhide (this is broken on the Seawolf shipping 
version too, although I can't remember its version number offhand).

Running makewhatis on its own (to use default manpath) or makewhatis -w to 
use manpath=man --path. In either case, the script processes the first 
token in the path OK but when it comes to the second and any subsequent 
elements, it simply skips them.

I think the problem is at line 146 of the makewhatis script. First time 
around the loop, this test is negative because /var/cache/man/whatis 
doesn't exist. Next time though, it does exist because it was created by 
the first iteration of the loop so it simply drops through the "skipping - 
did it already" branch.

I haven't quite been able to figure what this test is here for, but if 
somebody could fix it that would be great

How reproducible:
Always

Steps to Reproduce:
1. Run makewhatis (with or without -w)
2.
3.
	

Actual Results:  New whatis database created containing only man pages in 
first directory specified in manpath

Expected Results:  Should have populated whatis database with man pages in 
any directory specified in manpath

Additional info:

Comment 1 Rudi Sluijtman 2001-06-16 20:29:05 UTC
Created attachment 21202 [details]
make makewhatis (man-1.5h1-20) process all manpath-directories

Comment 2 Bernhard Rosenkraenzer 2001-07-03 11:42:59 UTC
Fixed in 1.5i2-2 (the real fix is to ignore the -u flag if there is
no previous whatis database)


Note You need to log in before you can comment on or make changes to this bug.